#!/bin/sh

# check for groovyc
which groovyc > /dev/null 2>&1
if [ $? -ne 0 ]; then
  echo "Groovy compiler not found :-(" && exit 1
fi

# load classpath
UCC_LIB=/usr/share/unicore/ucc/lib
if [ ! -d $UCC_LIB ]; then
  echo "No libs found at $UCC_LIB :-(" && exit 1
fi
CP=$(find "$UCC_LIB" -name "*.jar" -printf ":%p")

# prepare
TESTDIR=/tmp/compilegroovy$$
mkdir $TESTDIR

# run
for i in `find umi2 -name '*groovy'`; do
  echo -n "Compiling $i... ";
  groovyc --classpath $CP -d $TESTDIR $i
  if [ $? -eq 0 ]; then
    echo "OK"
  else
    # clear anyway
    rm -r $TESTDIR
    exit 1;
  fi;
done

# clean
rm -r $TESTDIR
