#!/bin/sh

URL="http://sourceforge.net/projects/unicore/files/1%20UNICORE%206%20Servers%20and%20Services/1.1%20Core%20Server/6.5.1/unicore-servers-6.5.1.tgz/download";
TESTDIR="/tmp/unicore-test";
PREF_FILE=$TESTDIR"/preferences";

echo "Downloading unicore package..." &&
wget -c -q $URL -O core.tar.gz &&
rm -rf unicore-servers-* &&
rm -rf $TESTDIR &&
mkdir $TESTDIR && 
echo "Unpacking..." &&
tar zxf core.tar.gz && 
cd unicore-servers-* &&
echo "Performing autoconfiguration..." &&
sed -i -e's|^gwAutoRegistration=false|gwAutoRegistration=true|' configure.properties &&
sed -i -e's|^tsi=true|tsi=false|' configure.properties &&
sed -i -e's|^xuudb=true|xuudb=false|' configure.properties &&
sed -i -e's|^registry=false|registry=true|' configure.properties &&
sed -i -e's|^gwHost=hostname|gwHost=localhost|' configure.properties &&
sed -i -e's|^tsiHost=hostname|tsiHost=localhost|' configure.properties &&
sed -i -e's|^uxHost=hostname|uxHost=localhost|' configure.properties &&
sed -i -e's|^voPullServerHostHost=hostname|voPullServerHost=localhost|' configure.properties &&
sed -i -e's|^registryHost=hostname|registryHost=localhost|' configure.properties &&
sed -i -e's|^uxEnableStorageFactory=false|uxEnableStorageFactory=true|' configure.properties &&
sed -i -e's|^voEnablePull=|voEnablePull=VO-PULL|' configure.properties &&
sed -i -e's|^voGroup=/demo-vo/DEMO-SITE|voGroup=/Math-VO/UUDB/SiteA|' configure.properties &&
sed -i -e's|^voPullServerHost=hostname|voPullServerHost=localhost|' configure.properties &&
sed -i -e's|^uxEnableBES=de.fzj.unicore.bes.util.BESOnStartup|uxEnableBES=de.fzj.unicore.uas.util.CreateSMSOnStartup|' configure.properties &&
./configure.py > /dev/null &&
rm -f adduser.sh &&
sed -i -e's|^#defaultsms.workdir|defaultsms.workdir|' unicorex/conf/uas.config &&
mkdir unicorex/storage && 
echo "Preparing demo user configuration..." && 
cp certs/demouser.jks $TESTDIR &&
rm -f $PREF_FILE &&
touch $PREF_FILE &&
echo "credential.format=JKS" >> $PREF_FILE &&
echo "credential.path=$TESTDIR/demouser.jks" >> $PREF_FILE &&
echo 'credential.password=the!user' >> $PREF_FILE &&
echo 'credential.keyAlias=demouser' >> $PREF_FILE &&
echo 'truststore.type=keystore' >> $PREF_FILE &&
echo "truststore.keystoreFormat=JKS" >> $PREF_FILE &&
echo "truststore.keystorePath=$TESTDIR/demouser.jks" >> $PREF_FILE &&
echo 'truststore.keystorePassword=the!user' >> $PREF_FILE &&
mkdir $TESTDIR/logs && 
cp ../log4j/* $TESTDIR/logs &&
echo "DONE"
