#!/bin/sh
URL="http://sourceforge.net/projects/unicore/files/1%20UNICORE%206%20Servers%20and%20Services/1.4%20UVOS%20Virtual%20Organisation%20Service/1.%20UVOS%20Server/1.5.1/uvos-1.5.1-dist.tar.gz/download"

echo "Downloading server..." &&
wget -c -q $URL -O uvos.tar.gz &&
rm -rf uvos-* &&
echo "Unpacking..." &&
tar zxf uvos.tar.gz &&
cd uvos-* &&
echo "Initializing..." && 
./bin/initdb.sh > /dev/null 2>&1 &&
./bin/createExampleContent.sh > /dev/null &&
sed -i -e"s|'EMAILADDRESS=unicore-support@lists.sf.net, C=DE, O=unicore.eu, OU=Testing, CN=UNICORE demo unicorex','1.2.840.113549.1.9.1=#161c756e69636f72652d737570706f7274406c697374732e73662e6e6574,c=de,o=unicore.eu,ou=testing,cn=unicore demo unicorex'|'CN=Demo UNICORE/X,O=UNICORE,C=EU','cn=demo unicore/x,o=unicore,c=eu'|" -e"s|'EMAILADDRESS=unicore-support@lists.sf.net, C=DE, O=unicore.eu, OU=Testing, CN=UNICORE demo user','1.2.840.113549.1.9.1=#161c756e69636f72652d737570706f7274406c697374732e73662e6e6574,c=de,o=unicore.eu,ou=testing,cn=unicore demo user'|'CN=Demo User, O=UNICORE, C=EU','cn=demo user,o=unicore,c=eu'|" data/hsqlUVOSdb.bin.script && 
openssl x509 -in ../unicore-servers-*/certs/demo-ca-cert.pem > conf/certs/demo-ca-cert.pem &&
echo "yes" | keytool -importcert -trustcacerts -alias new_demo_ca -file conf/certs/demo-ca-cert.pem -keystore conf/certs/dummyServerTruststore.jks -storepass the\!server > /dev/null 2>&1 &&
echo "yes" | keytool -importcert -alias uvos -file conf/certs/dummyServerCert.der -keystore ../unicore-servers-*/unicorex/conf/truststore.jks -storepass unicore  > /dev/null 2>&1 &&
echo "yes" | keytool -importcert -alias uvos -file conf/certs/dummyServerCert.der -keystore /tmp/unicore-test/demouser.jks -storepass the\!user > /dev/null 2>&1 &&
echo "DONE"

