#!/bin/sh

URL="http://sourceforge.net/projects/unicore/files/1%20UNICORE%206%20Servers%20and%20Services/1.2%20Workflow%20System/6.4.1/unicore-workflow-6.4.1.tgz/download"

echo "Downloading workflow system..." &&
wget -c -q $URL -O workflow.tar.gz &&
rm -rf unicore-workflow-* &&
echo "Unpacking..." &&
tar zxf workflow.tar.gz &&
cd unicore-workflow-* &&
echo "Performing autoconfiguration..." &&
sed -i -e's|^gwAutoRegistration=false|gwAutoRegistration=true|' configure.properties &&
sed -i -e's|^gwHost=hostname|gwHost=localhost|' configure.properties &&
sed -i -e's|^wfHost=hostname|wfHost=localhost|' configure.properties &&
sed -i -e's|^soHost=hostname|soHost=localhost|' configure.properties &&
sed -i -e's|^wfUseXUUDB=.*|wfUseXUUDB=VO-PULL|' configure.properties &&
sed -i -e's|^soUseXUUDB=.*|soUseXUUDB=VO-PULL|' configure.properties &&
./configure.py > /dev/null &&
sed -i -e's|uas.targetsystem.sitename=.*|uas.targetsystem.sitename=WORKFLOW|' workflow/conf/uas.config &&
sed -i -e's|uas.targetsystem.sitename=.*|uas.targetsystem.sitename=SERVORCH|' servorch/conf/uas.config &&
echo "uas.security.attributes.VO-PULL.class=eu.unicore.uas.security.vo.SAMLPullAuthoriser" >> workflow/conf/uas.config &&
echo "uas.security.attributes.VO-PULL.class=eu.unicore.uas.security.vo.SAMLPullAuthoriser" >> servorch/conf/uas.config &&
echo "uas.security.attributes.VO-PULL.configurationFile=conf/vo.config" >> workflow/conf/uas.config &&
echo "uas.security.attributes.VO-PULL.configurationFile=conf/vo.config" >> servorch/conf/uas.config &&
cp `pwd`/../unicore-servers-*/unicorex/conf/vo.config workflow/conf/ &&
sed -i -e's|DEMO-SITE|WORKFLOW|' workflow/conf/vo.config &&
cp `pwd`/../unicore-servers-*/unicorex/conf/vo.config servorch/conf/ &&
sed -i -e's|DEMO-SITE|SERVORCH|' servorch/conf/vo.config &&
ln -s `pwd`/../unicore-servers-*/unicorex/conf/votruststore.jks workflow/conf/ &&
ln -s `pwd`/../unicore-servers-*/unicorex/conf/votruststore.jks servorch/conf/ &&
echo yes | keytool -importcert -file ../uvos-*/conf/certs/dummyServerCert.der -keystore servorch/conf/servorch.jks -alias 'uvos server' -storepass c9m > /dev/null 2>&1 &&
echo yes | keytool -importcert -file ../uvos-*/conf/certs/dummyServerCert.der -keystore workflow/conf/workflow.jks -alias 'uvos server' -storepass c9m > /dev/null 2>&1 &&
echo "DONE"

